description

# StdioType class Null safety

The type of object a standard IO stream is attached to.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
name → String
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

FILE → const StdioType
  @Deprecated("Use file instead")
  `file`
file → const StdioType
  `const StdioType._("file")`
OTHER → const StdioType
  @Deprecated("Use other instead")
  `other`
other → const StdioType
  `const StdioType._("other")`
PIPE → const StdioType
  @Deprecated("Use pipe instead")
  `pipe`
pipe → const StdioType
  `const StdioType._("pipe")`
TERMINAL → const StdioType
  @Deprecated("Use terminal instead")
  `terminal`
terminal → const StdioType
  `const StdioType._("terminal")`